<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous" />
    
    <title>Halaman Form</title>

    <style>
      body {
        background-color: rgb(49, 247, 181);
        font-family: Arial, Helvetica, sans-serif;
      }
    </style>

  </head>
  <body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-success shadow-sm fixed-top">
        <div class="container">
          <a class="navbar-brand" href="#">Tugas 1</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="#home">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="/tabel">Tabel</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Add User</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    <section>
      <div class="container">
        <div class="row text-center mt-5 pt-5 mb-3">
          <div class="col">
            <h1>Add User</h1>
          </div>
        </div>
        <div class="row justify-content-center">
          <div class="col-md-6">
            <div class="alert alert-success alert-dismissible fade show d-none my-alert" role="alert">
              <strong>Berhasil</strong> Menambahkan User Baru!.
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
            <form action="/save-user" method="POST" name="halaman-form">
              <div class="mb-3">
                <label for="name" class="form-label">Name</label>
                <input type="text" name="name" class="form-control" id="name" aria-describedby="name" />
              </div>
              <div class="mb-3">
                <label for="name" class="form-label">Age</label>
                <input type="number" name="Age" class="form-control" id="name" aria-describedby="name" />
              </div>
              <div class="mb-3">
                <label for="name" class="form-label">Username</label>
                <input type="text" name="username" class="form-control" id="username" aria-describedby="name" />
              </div>
              <div class="mb-3">
                <label for="name" class="form-label">Password</label>
                <input type="password" name="password" class="form-control" id="password" />
              </div>
              <button type="submit" class="btn btn-primary btn-kirim">Kirim</button>

              <!-- <button type="submit" class="btn btn-primary btn-loading d-none" type="button" disabled>
                <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                Loading...
              </button> -->
            </form>
          </div>
        </div>
      </div>
    </section>

    <script>
      const scriptURL = 'https://script.google.com/macros/s/AKfycbxp4_DbCQsvMub3mTsDf3ovsBLHZ0nDG_jvglax3e9RWHAZlvM-CfSk7i-snC9RHQ/exec';
      const form = document.forms['halaman-form'];
      const btnKirim = document.querySelector('.btn-kirim');
      const btnLoading = document.querySelector('.btn-loading');
      const myAlert = document.querySelector('.my-alert');

      form.addEventListener('submit', (e) => {
        e.preventDefault();
        //   ketika tombol submit dikirim

        btnLoading.classList.toggle('d-none');
        btnKirim.classList.toggle('d-none');
        fetch(scriptURL, { method: 'POST', body: new FormData(form) })
          .then((response) => {
            // tampilkan tombol kirim, hilangkan tombol loading
            btnLoading.classList.toggle('d-none');
            btnKirim.classList.toggle('d-none');
            // tampilkan alert
            myAlert.classList.toggle('d-none');
            // reset form
            form.reset();
            console.log('Success!', response);
          })
          .catch((error) => console.error('Error!', error.message));
      });
    </script>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>
  </body>
</html>